2019-03-22 07:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002034NetSurfAmiga-specificpublic2015-03-10 10:37
ReporterSourceforge Import placeholder 
Assigned ToChris Young 
SeverityfeatureReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformOSAmigaOSOS Version4.1
Product Version2.7 
Target VersionFixed in Version3.1 
Summary0002034: Clone tab support
DescriptionI use AmigaOS 4.1 and NetSurf 2.7 Revision 11703

I notice a strange bahaviour using NetSurf's tabs, if you open a new tab that isn't related to the previews one (for example opening a new "blank" tab and then typing an address manually) the left arrow in toolbar permit to turn back as the page in tab opened was "linked" to the first one
 
I think that the normal behavoiur should be that each tab should have it's own history *only* rathen then share the history with the other tabs opened (the first tab in this case)
 
How to test:
 
- Open NetSurf
Now the first page is www.netsurf-browser.org/welcome
 
Naturally in this first page the left and right arrows in toolbar are correctly ghosted
 
- Then now open a new blank tab from WB menu or with the addtab button
Now if you go in this second tab you can see the same default page (www.netsurf-browser.org/welcome) but with the left arrow active, so it seems that this new page is linked in certain term with the first tab, but it's not or would not !
 
About this i receive a note from the AmigaOS4 mantainer:

>>>
to create a tab you have to have a "clone"
window (so the frontend knows where the tab needs to be created). There's
no way of telling the core that this is a completely new tab which needs
new history. I'll have to check the gtk version, but I suspect that has
the same problem.
>>>

Is it possible to support such feature in the future release ?
Additional Informationchris_y added a note on Wed Mar 2 20:25:01 2011

On the GTK version, creating a brand new tab clones the currently-selected tab in its entirety (including the URL).
Creating a new tab from the menu should open a brand new tab with new history and new content.


Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3197631 on Tue Dec 10 17:34:13 2013

TagsNo tags attached.
Fixed in CI build #1568
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000144

Chris Young (developer)

A clone window has to be specified on order to create a new tab (as that is the only way NetSurf knows which window to put the new tab in). Specifying a clone then clones that window (tab)'s history.
Chris Young

~0000145

Chris Young (developer)

Last edited: 2014-01-03 00:34

View 2 revisions

Testing a fix from the menu item only in CI build 1567

Chris Young

~0000149

Chris Young (developer)

Recreated history for any completely new tabs created. History still follows new tabs created by opening links as it is supposed to.
Vincent Sanders

~0000660

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-20 22:42 Vincent Sanders Assigned To Sourceforge Import placeholder => Chris Young
2013-12-20 22:42 Vincent Sanders Status assigned => acknowledged
2013-12-20 22:42 Vincent Sanders Resolution no change required => open
2013-12-20 22:42 Vincent Sanders Category General => Amiga-specific
2013-12-20 22:42 Vincent Sanders OS => AmigaOS
2013-12-20 22:42 Vincent Sanders OS Version => 4.1
2013-12-20 22:42 Vincent Sanders Product Version => 2.7
2013-12-20 22:42 Vincent Sanders Description Updated View Revisions
2013-12-20 22:42 Vincent Sanders Additional Information Updated View Revisions
2014-01-03 00:22 Chris Young Note Added: 0000144
2014-01-03 00:22 Chris Young Status acknowledged => confirmed
2014-01-03 00:34 Chris Young Note Added: 0000145
2014-01-03 00:34 Chris Young Note Edited: 0000145 View Revisions
2014-01-03 18:26 Chris Young Fixed in CI build # => 1568
2014-01-03 18:26 Chris Young Note Added: 0000149
2014-01-03 18:26 Chris Young Status confirmed => resolved
2014-01-03 18:26 Chris Young Fixed in Version => 3.1
2014-01-03 18:26 Chris Young Resolution open => fixed
2015-03-10 10:37 Vincent Sanders Note Added: 0000660
2015-03-10 10:37 Vincent Sanders Status resolved => closed
+Issue History